[jira] [Resolved] (BATIK-1121) Maven org.apache.xmlgraphics:batik-ext:1.8 missing org.w3c.dom.ElementTraversal

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[jira] [Resolved] (BATIK-1121) Maven org.apache.xmlgraphics:batik-ext:1.8 missing org.w3c.dom.ElementTraversal

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/BATIK-1121?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

simon steiner resolved BATIK-1121.
----------------------------------
    Resolution: Duplicate

BATIK-1120

> Maven org.apache.xmlgraphics:batik-ext:1.8 missing org.w3c.dom.ElementTraversal
> -------------------------------------------------------------------------------
>
>                 Key: BATIK-1121
>                 URL: https://issues.apache.org/jira/browse/BATIK-1121
>             Project: Batik
>          Issue Type: Bug
>    Affects Versions: 1.8
>            Reporter: Simon Levesque
>            Priority: Blocker
>
> I am trying to use batik 1.8 with Gradle. I used this dependency:
> compile 'org.apache.xmlgraphics:batik-rasterizer:1.8'
> and when I run the sample code, I get:
> ClassNotFoundException: org.w3c.dom.ElementTraversal .
> I downloaded the source code of batik-1.8 and the missing class is part of the official source code.
> I compiled the libraries with "ant maven-artifacts" and checked all the jar files to see which one got that org.w3c.dom package.
> I found it in batik-ext-1.8 .
> This jar is being downloaded by Gradle, but there is only a Manifest directory there ; not classes.
> See http://central.maven.org/maven2/org/apache/xmlgraphics/batik-ext/1.8/batik-ext-1.8.jar
> So the jar was not correctly built when pushed to maven.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Loading...